Inventory

Inventories are collections of devices used to organize and manage equipment more efficiently. They serve as logical groupings that help structure, track, and operate devices.

Inventory object

Inventory endpoints

List inventories

get
/v0/inventory/list

Returns all inventories available to the organization

Authorizations
OAuth2authorizationCodeRequired

OAuth 2.0 authentication for Europe. Use this for users based in Europe and adjacent regions.

Authorization URL: Token URL: Refresh URL:
Query parameters
qstringOptional

A search query string

limitinteger · int32 · max: 1000Optional

Maximum number of items to return (default: 100, max: 1000)

offsetinteger · int32Optional

The index of the first item to return (default: 0)

sortstringOptional

Sort expression. Supports one or more fields, optionally prefixed with - to indicate descending order. For example, label,-created_at

Responses
chevron-right
200

List of inventories

application/json

Defines the response schema for /*/list

has_morebooleanRequired

Indicates whether more items are available beyond the current page. When false, the current result set is the final one

get
/v0/inventory/list

List inventories with advanced filtering

post
/v0/inventory/list

Returns all inventories available to the organization with advanced filtering options

Authorizations
OAuth2authorizationCodeRequired

OAuth 2.0 authentication for Europe. Use this for users based in Europe and adjacent regions.

Authorization URL: Token URL: Refresh URL:
Body
qstringOptional

A search query string

limitinteger · int32 · max: 1000Optional

Maximum number of items to return

Default: 100
offsetinteger · int32Optional

The index of the first item to return

Default: 0
sortstringOptional

Sort expression. Supports one or more fields, optionally prefixed with - to indicate descending order. For example, label,-created_at

Responses
chevron-right
200

List of inventories

application/json

Defines the response schema for /*/list

has_morebooleanRequired

Indicates whether more items are available beyond the current page. When false, the current result set is the final one

post
/v0/inventory/list

Create a new inventory

post
/v0/inventory/create

Adds a new inventory for the organization

Authorizations
OAuth2authorizationCodeRequired

OAuth 2.0 authentication for Europe. Use this for users based in Europe and adjacent regions.

Authorization URL: Token URL: Refresh URL:
Body
labelstringRequired

The inventory's label

Example: Dutch
descriptionstringRequired

The detailed inventory description

Example: Dutch branch office
Responses
chevron-right
200

Inventory created successfully

application/json

Response containing the unique identifier of the created resource

idinteger · int64Required

Unique identifier for the created resource

post
/v0/inventory/create

Get inventory by ID

get
/v0/inventory/read

Returns an inventory's data by ID

Authorizations
OAuth2authorizationCodeRequired

OAuth 2.0 authentication for Europe. Use this for users based in Europe and adjacent regions.

Authorization URL: Token URL: Refresh URL:
Query parameters
idinteger · int64Required

Unique identifier for the inventory

Responses
chevron-right
200

Inventory details

application/json

The Inventory object

idinteger · int64Required

Unique identifier for the inventory

Example: 12
labelstringRequired

The inventory's label

Example: Dutch
descriptionstringOptional

The detailed inventory description

Example: Dutch branch office
created_atstring · date-timeRequired

Date and time at which the inventory was created

Example: 2025-06-30T06:46:10Z
get
/v0/inventory/read

Update an existing inventory

post
/v0/inventory/update

Updates the information of an existing inventory

Authorizations
OAuth2authorizationCodeRequired

OAuth 2.0 authentication for Europe. Use this for users based in Europe and adjacent regions.

Authorization URL: Token URL: Refresh URL:
Body
idinteger · int64Required

Unique identifier for the inventory

Example: 12
labelstringRequired

The inventory's label

Example: Dutch
descriptionstringRequired

The detailed inventory description

Example: Dutch branch office
Responses
post
/v0/inventory/update

No content

Delete an inventory

post
/v0/inventory/delete

Deletes the specified inventory by its ID

Authorizations
OAuth2authorizationCodeRequired

OAuth 2.0 authentication for Europe. Use this for users based in Europe and adjacent regions.

Authorization URL: Token URL: Refresh URL:
Body
idinteger · int64Required

Unique identifier of the resource to delete

Example: 42
forcebooleanRequired

If true, forces deletion even if the resource has related objects or dependencies

Responses
post
/v0/inventory/delete

No content

Last updated

Was this helpful?